package com.bonus.canteen.core.drp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel
public class ConversionUnitDTO {
   @ApiModelProperty("原单位")
   private @NotNull(
           message = "原单位不能为空!"
   ) Long oldUnitId;
   @ApiModelProperty("原单位数量")
   private @NotNull(
           message = "原单位数量不能为空!"
   ) BigDecimal number;
   @ApiModelProperty("新单位")
   private @NotNull(
           message = "新单位不能为空!"
   ) Long newUntiId;

   public Long getOldUnitId() {
      return this.oldUnitId;
   }

   public BigDecimal getNumber() {
      return this.number;
   }

   public Long getNewUntiId() {
      return this.newUntiId;
   }

   public void setOldUnitId(final Long oldUnitId) {
      this.oldUnitId = oldUnitId;
   }

   public void setNumber(final BigDecimal number) {
      this.number = number;
   }

   public void setNewUntiId(final Long newUntiId) {
      this.newUntiId = newUntiId;
   }

}